Subject: Re: bug#15926: RFE: unlink command already uses 'unlink' call; make 'rm' use 'remove' call

From: Bernhard Voelker <[email-masked]>
Date: Thu, 21 Nov 2013 17:34:23 +0100

On 11/21/2013 05:25 PM, Eric Blake wrote:
> On 11/21/2013 09:18 AM, Bernhard Voelker wrote:
>> +  /* If true (and the -r option is also specified), remove all children
>> +     of directory arguments, yet retaining the directory itself.  */
>> +  bool children_only;
>
> Should --children-only imply -r, rather than being a no-op when -r is
> missing?

I thought about it, but as there's no way to --no-recursive,
the posibility to alias rm='/bin/rm --children-only' would be void.

There are surely other corner cases I didn't think about.
E.g. I was surprised to check for children-only in a second
place in the case "dir" is already empty.

Have a nice day,
Berny